package com.bocloud.ims.interfaces.resource.sangfor;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.SangforServerGroupSim;
import com.bocloud.ims.entity.resource.SangforServerGroup;

public interface SangforGroupServerService {
    BocloudResult<GridBean<SangforServerGroup>> list(Pager pager, RequestContext context);
    BocloudResult<GridBean<SangforServerGroupSim>> listGroup(Pager pager, RequestContext context);
    BocloudResult<GridBean<SangforServerGroup>> create(Pager pager, RequestContext context,SangforServerGroup serverGroup);
    BocloudResult<GridBean<SangforServerGroup>> update(Pager pager, RequestContext context,Long id,SangforServerGroup serverGroup);
    BocloudResult<GridBean<SangforServerGroup>> delete(Pager pager, RequestContext context,Long id);



}
